package tools.descartes.dql.connector;

import java.util.HashMap;
import java.util.List;

public interface WhatIfQueryConnector extends PerformanceMetricsQueryConnector{

	public List<String> getFilteringStrategies();
	
	public List<String> getAllPossibleMetrics();
	
	public HashMap<String, Integer> getStateValues();
	
	public int getMax(String variable);
	
	public int getMin(String variable);
	
	
	public boolean supportsRequestedVariables();
	
	public boolean supportsRequestedMetrics();
	
}
