package tools.descartes.dql.lang.examples.tests.select;

import org.eclipse.xtext.junit4.InjectWith;
import org.eclipse.xtext.junit4.XtextRunner;
import org.junit.Before;
import org.junit.runner.RunWith;

import tools.descartes.dql.lang.examples.tests.AbstractSelectQueryTest;
import tools.descartes.dql.lang.tests.DescartesQLInjectorProvider;

@RunWith(XtextRunner.class)
@InjectWith(DescartesQLInjectorProvider.class)
public class ConstrainedQuery extends AbstractSelectQueryTest {

	@Override
	public boolean expectDoF() {
		return false;
	}

	@Override
	public boolean expectObserve() {
		return false;
	}

	@Override
	public String getConstraintValue() {
		return "ACCURATE";
	}

	@Override
	@Before
	public void initializeTest() throws Exception {
		super.initialize(createFileName(SELECT, this.getClass().getSimpleName()));
	}

}
