package tools.descartes.dql.lang.examples.tests.select;

import org.eclipse.xtext.junit4.InjectWith;
import org.eclipse.xtext.junit4.XtextRunner;
import org.junit.Before;
import org.junit.runner.RunWith;

import tools.descartes.dql.lang.descartesQL.VaryingClause;
import tools.descartes.dql.lang.examples.tests.AbstractSelectQueryTest;
import tools.descartes.dql.lang.tests.DescartesQLInjectorProvider;

@RunWith(XtextRunner.class)
@InjectWith(DescartesQLInjectorProvider.class)
public class DoFQuery extends AbstractSelectQueryTest {

	@Override
	public boolean expectConstraint() {
		return false;
	}

	@Override
	public boolean expectDoFConstraint() {
		return false;
	}

	@Override
	public boolean expectDoFGuidedByParameters() {
		return false;
	}

	@Override
	public boolean expectObserve() {
		return false;
	}

	@Override
	public boolean exploreDoFWith() {
		return false;
	}

	@Override
	public String getDoFConstraintName() {
		return super.getDoFConstraintName();
	}

	@Override
	public String getDoFExplorationStrategyName() {
		return "thisIsAnExplorationStrategyId";
	}

	@Override
	@Before
	public void initializeTest() throws Exception {
		super.initialize(createFileName(SELECT, this.getClass().getSimpleName()));
	}

	@Override
	public void testDoFVaryingClause(final VaryingClause varyingClause) {
		testDoFVaryingClause(varyingClause, new String[] { "thisIsADoF1", "thisIsADoF2" }, new String[] { "res1_vcpus",
				"res1_memory" });
	}
}
