package tools.descartes.dql.lang.examples.tests.list;

import static org.junit.Assert.assertEquals;

import org.eclipse.xtext.junit4.InjectWith;
import org.eclipse.xtext.junit4.XtextRunner;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import tools.descartes.dql.lang.descartesQL.ListQuery;
import tools.descartes.dql.lang.examples.tests.AbstractListQueryTest;
import tools.descartes.dql.lang.tests.DescartesQLInjectorProvider;

@RunWith(XtextRunner.class)
@InjectWith(DescartesQLInjectorProvider.class)
public class ListResourcesQuery extends AbstractListQueryTest {
	public static final String MODE = "RESOURCES";

	@Override
	@Before
	public void initializeTest() throws Exception {
		super.initialize(createFileName(LIST, this.getClass().getSimpleName()));
	}

	@Override
	@Test
	public void testFilterClause() {
		testNullFilterClause();
	}

	@Override
	@Test
	public void testListQueryMode() {
		final ListQuery list = getListQuery(getQuery());

		final tools.descartes.dql.lang.descartesQL.ListResourcesQuery listResources = (tools.descartes.dql.lang.descartesQL.ListResourcesQuery) list
				.getQueryType();

		assertEquals("Mode not set correctly", MODE, listResources.getMode());
	}

}
